Opened 8 years ago

Closed 8 years ago

#36098 closed enhancement (fixed)

akonadi: upgrade to 1.8.0

Reported by: kurtjaeke@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc: mkae (Marko Käning)
Port: akonadi

Description

Please upgrade to 1.8.0.

The attached patch provides a variant which enables the SQLITE backend of akonadi, and removes the dependency on mysql.

This should provide a migration path for all users of KDE applications which only have build-time dependencies on akonadi, but do not use the akonadi DB actively (which does not seem to be working out-of-the-box anyway, see #33998.)

Attachments (1)

akonadi.patch (1.8 KB) - added by kurtjaeke@… 8 years ago.

Download all attachments as: .zip

Change History (8)

Changed 8 years ago by kurtjaeke@…

Attachment: akonadi.patch added

comment:1 Changed 8 years ago by mf2k (Frank Schima)

Keywords: haspatch added
Version: 2.1.2

comment:2 Changed 8 years ago by mkae (Marko Käning)

Cc: mk@… added

Cc Me!

comment:3 Changed 8 years ago by mkae (Marko Käning)

Soprano is too old on my machine:

:info:configure -- checking for module 'soprano'
:info:configure --   found soprano, version 2.7.4
:info:configure -- Soprano version 2.7.4 is too old. Please install 2.7.56 or newer

So, this patch alone isn't going to work.

comment:4 Changed 8 years ago by jmroot (Joshua Root)

Soprano update is #36097.

comment:5 Changed 8 years ago by mkae (Marko Käning)

Oh, I didn't notice that. :)

comment:6 Changed 8 years ago by mkae (Marko Käning)

When trying to install version 1.8.0 I saw this:

--->  Staging akonadi into destroot
Warning: violation by /Applications
Warning: akonadi violates the layout of the ports-filesystems!
Warning: Please fix or indicate this misbehavior (if it is intended), it will be an error in future releases!
--->  Installing akonadi @1.8.0_0

which is why I extended your portfile a little.

Committed as r99260.

comment:7 Changed 8 years ago by mkae (Marko Käning)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.